/*
Copyright © 2021 NAME HERE <EMAIL ADDRESS>

*/
package cmd

import (
	"time"

	"git.nagee.dev/isthisnagee/diary/model"
	"github.com/spf13/cobra"
	"github.com/spf13/viper"
)

// todayCmd represents the today command
var todayCmd = &cobra.Command{
	Use:   "today",
	Short: "List the diary entries added today, newest first",
	Long: `List all the entries added today, starting from the newest.
	To list all the entries:

	$ diary list
	`,
	Run: func(cmd *cobra.Command, args []string) {
		var created_after_ts *int64 = new(int64)
		var created_before_ts *int64 = new(int64)
		var num_entries *int64 = new(int64)

		var now = time.Now()
		var startOfToday = time.Date(
			now.Year(),
			now.Month(),
			now.Day(),
			0,
			0,
			0,
			0,
			now.Location(),
		)
		*created_after_ts = startOfToday.Unix()
		var endOfToday = startOfToday.AddDate(0, 0, 1)
		*created_before_ts = endOfToday.Unix()

		if viper.GetInt64("listNumEntries") > 0 {
			*num_entries = viper.GetInt64("listNumEntries")
		}
		results := App.Db.GetDiaryEntries(model.GetDiaryEntriesQuery{
			CreatedBeforeTs: created_before_ts,
			CreatedAfterTs:  created_after_ts,
			NumEntries:      num_entries,
		})
		PrintEntries(results)

	},
}

func init() {
	listCmd.AddCommand(todayCmd)
}
